"use strict";
/* c8 ignore start */
Object.defineProperty(exports, "__esModule", { value: true });
exports.readFile = exports.stat = exports.readdir = void 0;
const node_fs_1 = require("fs");
const readdir = (path, options) => new Promise((resolve, reject) => {
    (0, node_fs_1.readdir)(path, options, (err, entries) => {
        if (err)
            reject(err);
        else
            resolve(entries);
    });
});
exports.readdir = readdir;
const stat = (path) => {
    return new Promise((resolve, reject) => {
        (0, node_fs_1.stat)(path, (err, stats) => {
            if (err)
                reject(err);
            else
                resolve(stats);
        });
    });
};
exports.stat = stat;
const readFile = (path, encoding = 'utf-8') => new Promise((resolve, reject) => {
    (0, node_fs_1.readFile)(path, encoding, (err, data) => {
        if (err)
            reject(err);
        else
            resolve(data);
    });
});
exports.readFile = readFile;
/* c8 ignore stop */
